Bug 609090 - Racoon daemon blocks on recv() call due to empty pfkey socket
Summary: Racoon daemon blocks on recv() call due to empty pfkey socket
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ipsec-tools   
(Show other bugs)
Version: 5.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Tomas Mraz
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Keywords: OtherQA, ZStream
Depends On: 590783
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-29 12:00 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:06 UTC (History)
11 users (show)

Fixed In Version: ipsec-tools-0.6.5-14.el5_5.4
Doc Type: Bug Fix
Doc Text:
When dumping the pfkey database the kernel used to return only part of the database due to the small socket buffer size. When racoon was deployed on a system with a large number of network security policy entries, the racoon coould not find all of the security policy entries in the database. The updated package supports a new configuration option pfkey_buffer to the racoon.conf file that allows to set the buffer size as appropriate for the deployment requirements.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-24 06:59:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0645 normal SHIPPED_LIVE ipsec-tools bug fix update 2010-08-24 06:59:07 UTC

Description RHEL Product and Program Management 2010-06-29 12:00:30 UTC
This bug has been copied from bug #590783 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 5 Florian Nadge 2010-07-13 09:09:08 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
When dumping the pfkey database the kernel used to return only part of the database due to the small socket buffer size. When racoon was deployed on a system with a large number of network security policy entries, the racoon coould not find all of the security policy entries in the database. The updated package supports a new configuration option pfkey_buffer to the racoon.conf file that allows to set the buffer size as appropriate for the deployment requirements.

Comment 8 errata-xmlrpc 2010-08-24 06:59:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0645.html


Note You need to log in before you can comment on or make changes to this bug.